Move the sub-components of floor

Hello all,

Is there any way to move the edges of one floor at the same altitude of the edges of another floor ?

Thank you in advance!

Hello @SeanP ,

In this case I don’t want to change the floor’s sketch but to modify the altitude of the sub-elements (in order to correspond to the altitude of the other floor)

Hello
you can try with Data-Shapes or Clockwork packages (need to get exactly current vertices to modify them)

an example

script to get vertices (sub-components)

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import*

clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

clr.AddReference('RevitServices')
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument

slab = UnwrapElement(IN[0])
sshape = slab.SlabShapeEditor

verticesDS = [x.Position.ToPoint() for x in sshape.SlabShapeVertices]

OUT = verticesDS
1 Like